com.microfocus.zserver.zexplorer.model

## Class ZOSEditableRemoteObject

- java.lang.Object
- - com.microfocus.zserver.zexplorer.model.ZOSEditableRemoteObject

-     public class ZOSEditableRemoteObject
      extends java.lang.Object

  Editable wrapper for z/OS resources.

  Note: Currently only implements : `getSubSystem()` for drag & drop support.

  `getRemoteObject()` needed for link with editor suppot. All other methods do nothing.

  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZOSEditableRemoteObject(AbstractResource pRes)` Creates a new editable wrapper for the z/OS resource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAsListener()`
    `int` | `checkOpenInEditor()`
    `boolean` | `doImmediateSaveAndUpload()`
    `boolean` | `download(org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `boolean` | `download(org.eclipse.swt.widgets.Shell pShell)`
    `boolean` | `exists()`
    `java.lang.String` | `getAbsolutePath()`
    `org.eclipse.ui.IEditorPart` | `getEditorPart()`
    `org.eclipse.core.resources.IFile` | `getLocalResource()`
    `org.eclipse.core.runtime.IAdaptable` | `getRemoteObject()`
    `ISubSystem` | `getSubSystem()`
    `boolean` | `isDirty()`
    `boolean` | `isReadOnly()`
    `boolean` | `isStale()`
    `void` | `open(boolean pReadOnly, org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `void` | `open(org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `void` | `open(org.eclipse.swt.widgets.Shell pShell)`
    `void` | `open(org.eclipse.swt.widgets.Shell pShell, boolean pReadOnly)`
    `void` | `openEditor()`
    `void` | `setEditor(org.eclipse.ui.IEditorPart pEditorPart)`
    `void` | `setLocalResourceProperties()`
    `void` | `setReadOnly(boolean pIsReadOnly)`
    `void` | `updateDirtyIndicator()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZOSEditableRemoteObject

          public ZOSEditableRemoteObject(AbstractResource pRes)

      Creates a new editable wrapper for the z/OS resource.
      Parameters:
        `pRes` - the resource

  - ### Method Detail

    - #### isReadOnly

          public boolean isReadOnly()

    - #### setReadOnly

          public void setReadOnly(boolean pIsReadOnly)

    - #### setEditor

          public void setEditor(org.eclipse.ui.IEditorPart pEditorPart)

    - #### download

          public boolean download(org.eclipse.swt.widgets.Shell pShell)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### download

          public boolean download(org.eclipse.core.runtime.IProgressMonitor pMonitor)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### doImmediateSaveAndUpload

          public boolean doImmediateSaveAndUpload()

    - #### getLocalResource

          public org.eclipse.core.resources.IFile getLocalResource()

    - #### checkOpenInEditor

          public int checkOpenInEditor()
                                throws org.eclipse.core.runtime.CoreException

      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### getEditorPart

          public org.eclipse.ui.IEditorPart getEditorPart()

    - #### getRemoteObject

          public org.eclipse.core.runtime.IAdaptable getRemoteObject()

    - #### open

          public void open(org.eclipse.swt.widgets.Shell pShell)

    - #### open

          public void open(org.eclipse.swt.widgets.Shell pShell,
                           boolean pReadOnly)

    - #### open

          public void open(org.eclipse.core.runtime.IProgressMonitor pMonitor)

    - #### open

          public void open(boolean pReadOnly,
                           org.eclipse.core.runtime.IProgressMonitor pMonitor)

    - #### setLocalResourceProperties

          public void setLocalResourceProperties()
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addAsListener

          public void addAsListener()

    - #### openEditor

          public void openEditor()
                          throws org.eclipse.ui.PartInitException

      Throws:
        `org.eclipse.ui.PartInitException`

    - #### updateDirtyIndicator

          public void updateDirtyIndicator()

    - #### isDirty

          public boolean isDirty()

    - #### getAbsolutePath

          public java.lang.String getAbsolutePath()

    - #### getSubSystem

          public ISubSystem getSubSystem()

    - #### exists

          public boolean exists()

    - #### isStale

          public boolean isStale()

Copyright © 2015 Micro Focus GmbH. All rights reserved.